for i=1:1:4
    switch i
        case 1
            f='../train100to400/';
        case 2
            f='../train401to800/';
        case 3
            f='../train801to1200/';
        case 4
            f='../train5000to10000/';
    end
    if i==4
        ppr=readtable([f,'ppr_abcOnly.csv']);
    else
        ppr=readtable([f,'ppr.csv']);
    end
    ppr=table2cell(ppr);
    test_data=load([f,'test_data.mat']);
    test_data=test_data.test_data;
    for t=0.3:0.1:0.9
        [phage_TPR,  phage_FPR,  phage_AUC,...
         plasmid_TPR,plasmid_FPR,plasmid_AUC,...
         perUncertained,accuracy]=evaUnderThre(ppr,test_data,t);
        col=int8(10*t-2);
        result{i}(1,col)=phage_TPR;
        result{i}(2,col)=phage_FPR;
        result{i}(3,col)=phage_AUC;
        result{i}(4,col)=plasmid_TPR;
        result{i}(5,col)=plasmid_FPR;
        result{i}(6,col)=plasmid_AUC;
        result{i}(7,col)=perUncertained;
        result{i}(8,col)=accuracy;
    end
end

X=[0.3:0.1:0.9];

for i=1:1:4
    subplot(4,4,4*i-3)
    plot(X,result{i}(7,:),'-xk',...
         X,result{i}(8,:),'-sg',...
         'LineWidth',1.8);
    xlabel('threshold')
    xlim([0.3,0.9])
    ylim([0,1])

    subplot(4,4,4*i-2)
    plot(X,result{i}(3,:),'-ob',...
         X,result{i}(6,:),'-+r',...
         'LineWidth',1.8);
    xlabel('threshold')
    xlim([0.3,0.9])
    ylim([0.5,1])
    
    subplot(4,4,4*i-1)
    plot(X,result{i}(1,:),'-ob',...
         X,result{i}(4,:),'-+r',...
         'LineWidth',1.8);
    xlabel('threshold')
    xlim([0.3,0.9])
    ylim([0.5,1])
    
    subplot(4,4,4*i)
    plot(X,result{i}(2,:),'-ob',...
         X,result{i}(5,:),'-+r',...
         'LineWidth',1.8);
    xlabel('threshold')
    xlim([0.3,0.9])
    ylim([0,0.5])
end

save result result


